# L-Number Spreadsheet Parser
This is a small script that parses an uploaded spreadsheet based on a persons L-Number.

It is configured to use CAS authentication.

## Use

* Ask IT to add your site to the list of sites allowed to authenticate with CAS. If you are on a <username>.users.lanecc.edu site, your site is already allowed.
* Modify [index.php](index.php) and set the `$owner_lnum` variable to your L-Number. This is the only L-Number allowed to upload files.
* Upload all files to the directory you want to use.
* Upload your data file to a file called `upload.csv`, or use the built in upload field.
* Log in and confirm it works.

## Security

CAS authentication and authorization prevents students from viewing grades unless there is a row for their L-Number in `upload.csv`.

The `.htaccess` file prevents anyone from simply browsing to `/upload.csv` in order to download the data.

## Data format

Data must be in a comma delimited format. The first row should contain field/column names. The subsequent rows must contain values separated by commas.

## Updating

Simply upload the new version on top of the old version.

## Authors

* Joe Escobar <escobarj@lanecc.edu>
* Matt Danskine <danskinem@lanecc.edu>
* David Reagan <reagand@lanecc.edu>

## phpCAS

CAS authentication code is provided by the [https://wiki.jasig.org/display/casc/phpcas](Jasig phpCAS) library.
